using System;
using System.Data;
using System.Windows.Forms;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Drawing.Design;
using System.ComponentModel.Design;
using System.Windows.Forms.Design;

namespace DataGridColumnStyleDesigner
{
	/// <summary>
	/// Summary description for MyDataGrid.
	/// </summary>
	public class MyDataGrid : DataGrid
	{
		public MyDataGrid()
		{
			//
			// TODO: Add constructor logic here
			//
		}

		[Editor(typeof(MyDataGridTableStylesCollectionEditor), typeof(UITypeEditor))]
		public new GridTableStylesCollection TableStyles
		{
			get{return base.TableStyles;}
		}
		
		private class MyDataGridTableStylesCollectionEditor : CollectionEditor
		{
			public MyDataGridTableStylesCollectionEditor(Type type):base(type)
			{
			}

			protected override System.Type[] CreateNewItemTypes()
			{
				return new Type[] {typeof(MyDataGridTableStyle)};
			} 
		} 
	}
}
