using System;
using System.Data;
using System.Windows.Forms;
using System.Drawing;


namespace DataGridColumnStyleDesigner
{
	/// <summary>
	/// Summary description for MyNoEditTextBoxColumn.
	/// </summary>
	public class MyNoEditTextBoxColumn : DataGridTextBoxColumn
	{
		public MyNoEditTextBoxColumn()
		{
			//
			// TODO: Add constructor logic here
			//
		}

		protected override void Edit(System.Windows.Forms.CurrencyManager source, int rowNum, System.Drawing.Rectangle bounds, bool readOnly, string instantText, bool cellIsVisible)
		{
			//don't call baseclass, so no editing....
		}

		protected override void Paint(System.Drawing.Graphics g, System.Drawing.Rectangle bounds, System.Windows.Forms.CurrencyManager source, int rowNum, System.Drawing.Brush backBrush, System.Drawing.Brush foreBrush, bool alignToRight)
		{
			DataGrid grid = this.DataGridTableStyle.DataGrid;
			if(grid != null && rowNum ==  grid.CurrentRowIndex)
			{
				int colNum = this.DataGridTableStyle.GridColumnStyles.IndexOf(this);
				if(grid.CurrentCell.ColumnNumber == colNum)
					backBrush = Brushes.LightBlue; //color the disabled cell
			}
			base.Paint(g, bounds, source, rowNum, backBrush, foreBrush, alignToRight);
		
		}
	}
}
