
Imports System
Imports System.Data
Imports System.Windows.Forms
Imports System.Collections
Imports System.ComponentModel
Imports System.Drawing
Imports System.ComponentModel.Design
Imports System.Drawing.Design
Imports System.Windows.Forms.Design


'/ <summary>
'/ Summary description for MyDataGridTableStyle.
'/ </summary>

Public Class MyDataGridTableStyle
   Inherits DataGridTableStyle
   
   <Editor(GetType(MyGridColumnStylesCollectionEditor), GetType(UITypeEditor))>  _
   Public Shadows ReadOnly Property GridColumnStyles() As GridColumnStylesCollection
      Get
         Return MyBase.GridColumnStyles
      End Get
   End Property
    
    Protected Overloads Overrides Function CreateGridColumn(ByVal prop As PropertyDescriptor, ByVal isDefault As Boolean) As DataGridColumnStyle
        Return MyBase.CreateGridColumn(prop, isDefault)
    End Function 'CreateGridColumn


    Private Class MyGridColumnStylesCollectionEditor
        Inherits CollectionEditor

        Public Sub New(ByVal type As Type)
            MyBase.New(type)
        End Sub 'New


        Protected Overrides Function CreateNewItemTypes() As System.Type()
            Return New Type() {GetType(MyNoEditTextBoxColumn), GetType(DataGridTextBoxColumn), GetType(DataGridBoolColumn)}
        End Function 'CreateNewItemTypes
    End Class 'MyGridColumnStylesCollectionEditor
End Class 'MyDataGridTableStyle